
package org.mx.wsdl.sat.tempuri;

import org.mx.wsdl.sat.consulta.Acuse;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.6-1b01 
 * Generated source version: 2.2
 * 
 */
@WebService(name = "IConsultaCFDIService", targetNamespace = "http://tempuri.org/")
@XmlSeeAlso({
    org.mx.wsdl.sat.serialization.ObjectFactory.class,
    org.mx.wsdl.sat.consulta.ObjectFactory.class,
    org.mx.wsdl.sat.tempuri.ObjectFactory.class
})
public interface IConsultaCFDIService {


    /**
     * 
     * @param expresionImpresa
     * @return
     *     returns org.datacontract.schemas._2004._07.sat_cfdi_negocio_consultacfdi.Acuse
     */
    @WebMethod(operationName = "Consulta", action = "http://tempuri.org/IConsultaCFDIService/Consulta")
    @WebResult(name = "ConsultaResult", targetNamespace = "http://tempuri.org/")
    @RequestWrapper(localName = "Consulta", targetNamespace = "http://tempuri.org/", className = "org.tempuri.Consulta")
    @ResponseWrapper(localName = "ConsultaResponse", targetNamespace = "http://tempuri.org/", className = "org.tempuri.ConsultaResponse")
    Acuse consulta(
            @WebParam(name = "expresionImpresa", targetNamespace = "http://tempuri.org/")
                    String expresionImpresa);

}
